:root {
    --bg: #fff;
    --fg: #000;
    --bg-muted: #fafafa;
    --fg-muted: #666;
    --border: #e0e0e0;
    --bg-primary: #c81a25;
    --fg-primary: #fff;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg: #000;
        --fg: #fff;
        --bg-muted: #131313;
        --fg-muted: #9d9d9d;
        --border: #1f1f1f;
        --bg-primary: #c81a25;
        --fg-primary: #fff;
    }
}

.card {
    background-color: var(--bg);
    color: var(--fg);
    border: 1px solid var(--border);
    padding: 1rem;
    display: block;
    border-radius: 9px;

    &:hover {
        background-color: var(--bg-muted);
    }
}

html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
    background: var(--bg);
    color: var(--fg);
    font-family: "Poppins";
    font-size: 1rem;
}

a {
    color: inherit;
    text-decoration: none;
}

.card-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
}

main {
    max-width: 1200px;
    margin: 0 auto;
    padding: 1rem;
}

h2 {
    font-size: 1rem;
}

p {
    color: var(--fg-muted);
}

h1 {
    color: var(--bg-primary);
    line-height: 2.3rem;
}

.info {
    margin-bottom: 2rem;
    h1 {
        margin-bottom: 1rem;
    }
    p:first-of-type {
        margin-bottom: 0.675rem;
    }
}

.logo {
    font-family: "Ringbearer";
    color: var(--fg);
    font-size: 1.69rem;
    margin-bottom: 2.5rem;
}

.url {
    font-size: 0.8rem;
    color: var(--bg-primary);
    margin-top: 1rem;
}

@media (max-width: 768px) {
    .card-container {
        grid-template-columns: repeat(1, 1fr);
    }
}
